Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.VOICE_STATUS

    java.lang.Object
      java.lang.Enum<Participant.VOICE_STATUS>
          com.skype.api.Participant.VOICE_STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Participant.VOICE_STATUS>

Enclosing class:
  Participant

    public static enum Participant.VOICE_STATUS

extends java.lang.Enum<Participant.VOICE_STATUS>

Recognized values for the P_VOICE_STATUS property.

Enum Constant Summary
`EARLY_MEDIA` Participant is in process of joining current live session.
`LISTENING` Participant has joined the current live session but is currently not transmitting audio.
`RINGING` Participant has been invited to join the live session but has not yet accepted.
`SPEAKING` Participant has joined the current live session and is transmitting audio.
`VOICE_AVAILABLE` Participant is using a Skype client that supports audio.
`VOICE_CONNECTING` Participant is in process of joining current live session.
`VOICE_NA` Participant is using a Skype client with no audio capability.
`VOICE_ON_HOLD` Participant has joined the current live session but the audio is currently on hold.
`VOICE_STOPPED` Participant will be placed in this state for some seconds after live session has finished.
`VOICE_UNKNOWN` Participant voice status is not (yet) determined.

Method Summary
`static Participant.VOICE_STATUS` | `fromString(java.lang.String s)`
`static Participant.VOICE_STATUS` | `get(int code)`
`int` | `getId()`
`static Participant.VOICE_STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.VOICE_STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VOICE_UNKNOWN

    public static final Participant.VOICE_STATUS VOICE_UNKNOWN

  Participant voice status is not (yet) determined.

### VOICE_NA

    public static final Participant.VOICE_STATUS VOICE_NA

  Participant is using a Skype client with no audio capability.

### VOICE_AVAILABLE

    public static final Participant.VOICE_STATUS VOICE_AVAILABLE

  Participant is using a Skype client that supports audio.

### VOICE_CONNECTING

    public static final Participant.VOICE_STATUS VOICE_CONNECTING

  Participant is in process of joining current live session. This is a transitional state.

### RINGING

    public static final Participant.VOICE_STATUS RINGING

  Participant has been invited to join the live session but has not yet accepted.

### EARLY_MEDIA

    public static final Participant.VOICE_STATUS EARLY_MEDIA

  Participant is in process of joining current live session. This is another transitional state.

### LISTENING

    public static final Participant.VOICE_STATUS LISTENING

  Participant has joined the current live session but is currently not transmitting audio.

### SPEAKING

    public static final Participant.VOICE_STATUS SPEAKING

  Participant has joined the current live session and is transmitting audio. The UI can either use this state to display appropriate "speaking" notification, or alternatively use Participant.P_SOUND_LEVEL if you want your speaking indicator to also reflect audio volume coming from the Participant.

### VOICE_ON_HOLD

    public static final Participant.VOICE_STATUS VOICE_ON_HOLD

  Participant has joined the current live session but the audio is currently on hold.

### VOICE_STOPPED

    public static final Participant.VOICE_STATUS VOICE_STOPPED

  Participant will be placed in this state for some seconds after live session has finished. This is another transitional state.

Method Detail

### values

    public static Participant.VOICE_STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.VOICE_STATUS c : Participant.VOICE_STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.VOICE_STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Participant.VOICE_STATUS get(int code)

### fromString

    public static Participant.VOICE_STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.